> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nivara.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Conversation

# Get Conversation

Retrieves a specific conversation by ID.

## Path Parameters

| Parameter        | Type    | Required | Description                        |
| ---------------- | ------- | -------- | ---------------------------------- |
| conversation\_id | integer | Yes      | ID of the conversation to retrieve |

## Responses

| Status | Description          | Content Type     |
| ------ | -------------------- | ---------------- |
| 200    | Conversation details | application/json |
| 422    | Validation Error     | application/json |


## OpenAPI

````yaml GET /get-conversation/{conversation_id}
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /get-conversation/{conversation_id}:
    get:
      summary: Get Conversation
      operationId: get_conversation_get_conversation__conversation_id__get
      parameters:
        - name: conversation_id
          in: path
          required: true
          schema:
            type: integer
            title: Conversation Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````